Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

List checkpoint permissions

PermissionListPage fineTuning().checkpoints().permissions().list(params = PermissionListParams.none(), requestOptions = RequestOptions.none())
GET
/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions

NOTE: This endpoint requires an admin API key.

Organization owners can use this endpoint to view all permissions for a fine-tuned model checkpoint.

Parameters
PermissionListParams params
Optional<String> fineTunedModelCheckpoint
Optional<String> after

Identifier for the last permission ID from the previous pagination request.

Optional<Long> limit

Number of permissions to retrieve.

Optional<Order> order

The order in which to retrieve permissions.

Optional<String> projectId

The ID of the project to get permissions for.

Returns
class PermissionListResponse:

The checkpoint.permission object represents a permission for a fine-tuned model checkpoint.

String id

The permission identifier, which can be referenced in the API endpoints.

long createdAt

The Unix timestamp (in seconds) for when the permission was created.

formatunixtime
JsonValue; object_
constant
constant

The object type, which is always “checkpoint.permission”.

String projectId

The project identifier that the permission is for.

List checkpoint permissions

package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.finetuning.checkpoints.permissions.PermissionListPage;
import com.openai.models.finetuning.checkpoints.permissions.PermissionListParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        PermissionListPage page = client.fineTuning().checkpoints().permissions().list("ft-AF1WoRqd3aJAHsqc9NY7iL8F");
    }
}
Response example
{
  "object": "list",
  "data": [
    {
      "object": "checkpoint.permission",
      "id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
      "created_at": 1721764867,
      "project_id": "proj_abGMw1llN8IrBb6SvvY5A1iH"
    },
    {
      "object": "checkpoint.permission",
      "id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
      "created_at": 1721764800,
      "project_id": "proj_iqGMw1llN8IrBb6SvvY5A1oF"
    }
  ],
  "first_id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
  "last_id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
  "has_more": false
}
Returns Examples
Response example
{
  "object": "list",
  "data": [
    {
      "object": "checkpoint.permission",
      "id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
      "created_at": 1721764867,
      "project_id": "proj_abGMw1llN8IrBb6SvvY5A1iH"
    },
    {
      "object": "checkpoint.permission",
      "id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
      "created_at": 1721764800,
      "project_id": "proj_iqGMw1llN8IrBb6SvvY5A1oF"
    }
  ],
  "first_id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
  "last_id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
  "has_more": false
}